@import url("https://fonts.googleapis.com/css2?family=Montagu+Slab:wght@300&family=Oswald:wght@300&display=swap");

* {
  box-sizing: border-box;
  font-family: "Oswald", sans-serif;
}

body {
  width: 80%;
  margin: 0 auto;
}

header::after,
nav::after,
main::after,
nav ul::after {
  content: "";
  clear: both;
  display: block;
}

/* Header */
header {
  border: 2px solid salmon;
  padding: 10px;
}

.logo {
  float: left;
  width: 80px;
  height: 100px;
}

.logo img {
  width: 100%;
  height: 100%;
}

.h1 {
  float: right;
  text-align: center;
  margin-top: 35px;
}

/* Nav */
nav {
  margin-top: 10px;
  border: 2px solid green;
}

nav ul {
  float: left;
}

nav ul li {
  float: left;
  padding: 20px;
}

nav #search {
  float: right;
  margin-top: 10px;
  padding: 0 10px;
}

nav input {
  padding: 10px;
  color: blue;
  border: none;
  border-bottom: 3px solid blue;
}

nav input:focus-visible {
  outline: none;
}

/* Main */
main {
  margin-top: 10px;
  padding: 5px;
  border: 5px solid yellow;
}

section {
  float: left;
  width: 70%;
  height: 400px;
  padding: 5px;
  border: 2px solid red;
}

section article {
  margin: 10px;
  padding: 5px;
  height: 180px;
  border: 2px solid yellowgreen;
}

aside {
  float: right;
  padding: 5px;
  width: 25%;
  height: 400px;
  border: 2px solid blue;
}

/* Footer */
footer {
  margin-top: 10px;
  padding: 10px;
  text-align: center;
  border: 2px solid orange;
}

footer a {
  text-decoration: none;
}
